/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2007 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This program is free software: you can redistribute it and/or modify |
  | it under the terms of the GNU General Public License as published by |
  | the Free Software Foundation, either version 3 of the License, or    |
  | (at your option) any later version.                                  |
  |                                                                      |
  | This program is distributed in the hope that it will be useful,      |
  | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
  | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
  | GNU General Public License for more details.                         |
  |                                                                      |
  | You should have received a copy of the GNU General Public License    |
  | along with this program.  If not, see <http://www.gnu.org/licenses/>.|
  +----------------------------------------------------------------------+
  | Author: Valeriu Palos <valeriu@palos.ro>                             |
  +----------------------------------------------------------------------+
*/

/* $Id: header,v 1.16.2.1.2.1 2007/01/01 19:32:09 iliaa Exp $ */

#ifndef PHP_PSSTREAM_H
#define PHP_PSSTREAM_H

extern zend_module_entry psstream_module_entry;
#define phpext_psstream_ptr &psstream_module_entry

#ifdef PHP_WIN32
#define PHP_PSSTREAM_API __declspec(dllexport)
#else
#define PHP_PSSTREAM_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(psstream);
PHP_MSHUTDOWN_FUNCTION(psstream);
PHP_RINIT_FUNCTION(psstream);
PHP_RSHUTDOWN_FUNCTION(psstream);
PHP_MINFO_FUNCTION(psstream);


PHP_FUNCTION(psstream_mp4);
PHP_FUNCTION(psstream_flv);


#ifdef ZTS
#define PSSTREAM_G(v) TSRMG(psstream_globals_id, zend_psstream_globals *, v)
#else
#define PSSTREAM_G(v) (psstream_globals.v)
#endif

#endif


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
